# MPE_Add_RGB_color

Adds a color to the colormap given its RGB values

## Synopsis

    #include "mpe.h"
    int MPE_Add_RGB_color( graph, red, green, blue, mapping )
    MPE_XGraph graph;
    int red, green, blue;
    MPE_Color *mapping;

## Input Parameters

graph
  MPE graphics handle
red, green, blue
  color levels from 0 to 65535

## Output Parameter

mapping
  index of the new color

## Return Values

-1
  maxcolors too large (equal to numcolors)
MPE_SUCCESS
  successful
mapping
  index of the new color

## Notes

This call adds a color cell to X11''s color table, increments maxcolors (the index), and writes it to the mapping parameter.

## Notes For Fortran Interface

The Fortran interface to this routine is different from its C counterpart and it has an additional argument, ierr, at the end of the argument list, i.e. the returned function value (the error code) in C interface is returned as the additional argument in Fortran interface. The Fortran interface is invoked with the CALL statement.

All MPI and MPE objects, MPI_Comm, MPE_XGraph and MPE_Color, are of type INTEGER in Fortran.

Location:../src/graphics/src/mpe_graphics.c